# GRDCLIP

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
GRID FILE FORMATS
EXAMPLES
SEE ALSO

## NAME

grdclip − Clipping of range in grid files.

## SYNOPSIS

grdclip input_file.grd −G output_file.grd [ −Sa high/above ] [ −Sb low/below ] [ −V ]

## DESCRIPTION

grdclip will set values < low to below and/or values > high to above. Useful when you want all of a continent or an ocean to fall into one color or grayshade in image processing, or clipping of the range of data values is required. above/below can be any number or NaN (Not a Number). You must choose at least one of −Sa or −Sb.
input_file.grd

The input 2-D binary grid file.

| −G |  | output_file.grd is the modified output grid file. |

## OPTIONS

| −Sa |  | Set all data[i] > high to above.
| −Sb |  | Set all data[i] < low to below.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## GRID FILE FORMATS

By default GMT writes out grid as single precision floats in a COARDS-complaint netCDF file format. However, GMT is able to produce grid files in many other commonly used grid file formats and also facilitates so called "packing" of grids, writing out floating point data as 2- or 4-byte integers. To specify the precision, scale and offset, the user should add the suffix =id[/scale/offset[/nan]], where id is a two-letter identifier of the grid type and precision, and scale and offset are optional scale factor and offset to be applied to all grid values, and nan is the value used to indicate missing data. When reading grids, the format is generally automatically recognized. If not, the same suffix can be added to input grid file names. See grdreformat(1) and Section 4.17 of the GMT Technical Reference and Cookbook for more information.

When reading a netCDF file that contains multiple grids, GMT will read, by default, the first 2-dimensional grid that can find in that file. To coax GMT into reading another multi-dimensional variable in the grid file, append ?varname to the file name, where varname is the name of the variable. Note that you may need to escape the special meaning of ? in your shell program by putting a backslash in front of it, or by placing the filename and suffix between quotes or double quotes. The ?varname suffix can also be used for output grids to specify a variable name different from the default: "z". See grdreformat(1) and Section 4.18 of the GMT Technical Reference and Cookbook for more information, particularly on how to read splices of 3-, 4-, or 5-dimensional grids.

## EXAMPLES

To set all values > 70 to NaN and all values < 0 to 0 in file data.grd:

grdclip data.grd −Gnew_data.grd −Sa70/NaN −Sb0/0 −V

## SEE ALSO

GMT(1), grdlandmask(1), grdmask(1), grdmath(1), grd2xyz(1), xyz2grd(1)